1. Token Payments
Merchant Warrior API 2.0
  • API
    • Getting Started
    • Guides
      • Xero Connection
      • Xero Custom URL
      • wooCommerce PayID
      • Middleware
      • Hostaway
    • Direct API
      • getAccessToken
      • processCard
      • processAuth
      • processCapture
      • processBatch
      • retrieveBatch (CSV)
      • retrieveBatch (JSON Response)
      • retrieveBatch (JSON Notify)
      • refundCard
      • queryCard
      • processDDebit
      • processDDebitAuth
      • processVoid
      • verifyCard
      • queryDD
      • queryBIN
      • getSettlement
      • checkEnrollment
      • checkPARes
      • addBlacklistedCard
      • removeBlacklistedCard
      • queryBlacklistedCard
      • simulateNotify
      • getSurcharge
    • 3DS 2.0
      • Introduction
      • 3DS 2 Authentication Flows
      • Step 3 - 3DS Method Data
      • Step 5 - Challenge
      • Step 1 - getAccessToken
      • Step 2 - checkEnrollment
      • Step 4 - checkTDSAuth
      • Step 6 - checkPARes
      • Step 7 - processCard
      • Authorization Only processCard
    • PayLink
      • Introduction
      • Generate PayLink
    • PayID
      • Introduction
      • Create
      • Transaction
      • Get
      • Update
      • Status
      • List
      • Refund
    • PayTo
      • Introduction
      • Simulator
      • Certification
      • Actions and Statuses
      • Agreements
        • Agreements
        • Notifications
        • Create Agreement
        • Get Agreement
        • Amend Agreement
        • Amend Agreement Status
        • Recall Agreement Action
      • Payments
        • Payments
        • Notifications
        • Create Payment
        • Get Payment
        • Get Payment Status
        • Search Payments
    • Confirmation of Payee
      • Introduction
      • Sandbox Simulations
      • Validate
    • POS
      • Introduction
      • processPOS
      • refundPOS
      • voidPOS
      • deregisterPOS
    • Web SDK
      • Introduction
      • Usage
      • getAccessToken
      • Options
      • Initiate
      • Payframe Functionality
      • Middleware
      • addCard
    • Payframe
      • Introduction
      • Usage
      • Constructor
      • tdsCheck
      • Additional Functions
      • Styling
      • processCard
      • processAuth
    • Digital Wallets
      • Apple Pay Prerequisites
      • Google Pay Prerequisites
      • Web SDK
      • Manual Integration
      • processCard
      • addCard
      • getMerchantSession
      • decryptApplePayToken
    • Token Payments
      • Introduction
      • Key Management
      • addCard
        POST
      • removeCard
        POST
      • cardInfo
        POST
      • changeExpiry
        POST
      • processCard
        POST
      • processAuth
        POST
    • Batch
      • Introduction
      • Card Batches
      • Token Batches
      • Direct Debit Batches
    • Forter
      • Introduction
      • Testing
    • Payouts
      • Introduction
      • Sandbox Simulations
      • Notifications
      • Create Payouts
      • Get Payout Status
      • Resend Notifications
      • Get Payout Transaction Status
      • Get Payout Transaction Notify
    • Partner API
      • Introduction
      • addMerchant
      • updateMerchant
      • checkMerchant
    • Notifications
      • Notifications
  • Hosted Payment Page
    • processCard
  1. Token Payments

processCard

Sandbox
https://base.merchantwarrior.com
Sandbox
https://base.merchantwarrior.com
POST
/token
The processCard method is used to perform a purchase transaction using a Token ID that exists in the MW Vault

Request-Parameters#

These paramaters are practically identical to the Direct API processCard method. The major point of difference is that the card data fields are removed, and in their place the cardID, cardKey & cardKeyReplace parameters have been added.
When this method is run, the value of cardKeyReplace will overwrite cardKey - unless a validation error occurs. In short, if the responseCode >= 0, overwrite cardKey in your database with the value you send for cardKeyReplace. Transactions that do not pass pre-validation (responseCode < 0) will not have their cardKey updated.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
OK
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://base.merchantwarrior.com/token' \
--header 'MW-API-VERSION: 2.0' \
--header 'Content-Type: application/json' \
--data-raw '{
    "method": "processCard",
    "merchantUUID": "123456789abcd",
    "apiKey": "1a3b5c",
    "transactionAmount": "10.00",
    "transactionCurrency": "AUD",
    "transactionProduct": "ABC4321",
    "customerName": "Mr. Example Person",
    "customerCountry": "AU",
    "customerState": "Queensland",
    "customerCity": "Brisbane",
    "customerAddress": "123 Test Street",
    "customerPostCode": "4000",
    "cardID": "NUFM56937091",
    "hash": "e9ddc296b76b3398934bfc06239073df",
    "transactionReferenceID": "A257240023321",
    "recurringFlag": "1",
    "threeDSToken": "XXXXX",
    "customerPhone": "0401234567",
    "customerEmail": "person@example.com",
    "customerIP": "123.456.789.012",
    "storeID": "Test store name",
    "cardKey": "a84JI2cA12ziZ3Fx",
    "cardKeyReplace": "mbnGHOq86sXTjQgd",
    "paymentCardCSC": "123",
    "custom1": "XXXXX",
    "custom2": "XXXXX",
    "custom3": "XXXXX",
    "originalTransactionID ": "46871-c26f007a-49fa-4cf9-80f4-52ca55d4fcbc",
    "networkTransactionID": "XXXXX"
}'
Modified at 2026-08-07 06:42:29
Previous
changeExpiry
Next
processAuth
Built with